<?php

/**
 * Plugin Name:       MAZ Loader
 * Plugin URI:        https://www.feataholic.com/
 * Description:       MAZ Loader is a powerful and easy to use Preloader builder that makes your visitors a delight to wait for your website to finish loading.
 * Version:           1.0.0
 * Author:            Feataholic
 * Author URI:        https://www.feataholic.com/
 * Text Domain:       maz-loader
 * Domain Path:       /languages
 * License: 		  GNU General Public License v3.0
 * License URI: 	  http://www.gnu.org/licenses/gpl-3.0.html
 */

// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

require plugin_dir_path( __FILE__ ) . 'includes/class-maz-loader-helper.php';

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 */
define( 'MZLDR_VERSION', MZLDR_Helper::getVersion() );

/**
 * The admin directory path
 */
define( 'MZLDR_ADMIN_PATH', plugin_dir_path( __FILE__ ) . 'admin/');

/**
 * The admin directory URL
 */
define( 'MZLDR_ADMIN_URL', plugin_dir_url( __FILE__ ) . 'admin/');

/**
 * The admin media URL
 */
define( 'MZLDR_ADMIN_MEDIA_URL', plugin_dir_url( __FILE__ ) . 'media/admin/');

/**
 * The public directory path
 */
define( 'MZLDR_PUBLIC_PATH', plugin_dir_path( __FILE__ ) . 'public/');

/**
 * The public directory URL
 */
define( 'MZLDR_PUBLIC_URL', plugin_dir_url( __FILE__ ) . 'public/');

/**
 * The public media URL
 */
define( 'MZLDR_PUBLIC_MEDIA_URL', plugin_dir_url( __FILE__ ) . 'media/public/');

/**
 * The WordPress Review URL
 */
define( 'MZLDR_WP_REVIEW_URL', 'https://wordpress.org/support/plugin/maz-loader/reviews/#new-post');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-maz-loader-activator.php
 */
function activate_maz_Loader() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-maz-loader-activator.php';
	MZLDR_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-maz-loader-deactivator.php
 */
function deactivate_maz_Loader() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-maz-loader-deactivator.php';
	MZLDR_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_maz_Loader' );
register_deactivation_hook( __FILE__, 'deactivate_maz_Loader' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-maz-loader.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_Maz_Loader() {

	$plugin = new MZLDR();
	$plugin->run();

}
run_Maz_Loader();