<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}
// padding
$padding       = array(
	'top'    => isset( $this->field_data->padding_top ) ? esc_attr( $this->field_data->padding_top ) : '',
	'right'  => isset( $this->field_data->padding_right ) ? esc_attr( $this->field_data->padding_right ) : '',
	'bottom' => isset( $this->field_data->padding_bottom ) ? esc_attr( $this->field_data->padding_bottom ) : '',
	'left'   => isset( $this->field_data->padding_left ) ? esc_attr( $this->field_data->padding_left ) : '',
);
if (!empty($this->field_data->padding_top) ||
	!empty($this->field_data->padding_right) ||
	!empty($this->field_data->padding_bottom) ||
	!empty($this->field_data->padding_left)) {
	$padding_value = implode(
		' ',
		array_map(
			function( $k, $v ) {
				$val = ! empty( $v ) ? $v : 0;

				return esc_attr( $val ) . esc_attr( $this->field_data->padding_type );
			},
			array_keys( $padding ),
			$padding
		)
	);
}

// margin
$margin       = array(
	'top'    => isset( $this->field_data->margin_top ) ? esc_attr( $this->field_data->margin_top ) : '',
	'right'  => isset( $this->field_data->margin_right ) ? esc_attr( $this->field_data->margin_right ) : '',
	'bottom' => isset( $this->field_data->margin_bottom ) ? esc_attr( $this->field_data->margin_bottom ) : '',
	'left'   => isset( $this->field_data->margin_left ) ? esc_attr( $this->field_data->margin_left ) : '',
);
if (!empty($this->field_data->margin_top) ||
	!empty($this->field_data->margin_right) ||
	!empty($this->field_data->margin_bottom) ||
	!empty($this->field_data->margin_left)) {
	$margin_value = implode(
		' ',
		array_map(
			function( $k, $v ) {
				$val = ! empty( $v ) ? $v : 0;

				return esc_attr( $val ) . esc_attr( $this->field_data->margin_type );
			},
			array_keys( $margin ),
			$margin
		)
	);
}

$style_atts = array(
	'width'         => esc_attr( $this->width ),
	'height'        => esc_attr( $this->height ),
	'background'    => esc_attr( $this->background ),
	'border-radius' => esc_attr( $this->border_radius ) . '%',
);
if ( ! empty( $padding_value ) ) {
	$style_atts['padding'] = esc_attr( $padding_value );
}
if ( ! empty( $margin_value ) ) {
	$style_atts['margin'] = esc_attr( $margin_value );
}
$style_atts = MZLDR_Helper::getCSSAttributes( $style_atts );
$src        = ! empty( $this->custom_url ) ? $this->custom_url : $this->image;
$image_alt = MZLDR_WP_Helper::get_image_alt($src);
$image_alt = ($image_alt) ? $image_alt : '';
?>
<div class="mazloader-item-image">
	<img src="<?php echo esc_attr( $src ); ?>"<?php echo $style_atts; ?> alt="<?php echo esc_attr( $image_alt ); ?>" />
</div>
